<?php

namespace App\Providers;

use Illuminate\Support\ServiceProvider;
use Artisaninweb\SoapWrapper\SoapWrapper;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        //
    }

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot(SoapWrapper $soapWrapper)
    {
        $soapWrapper->add('IB2WService', function ($service) {
            $service
                ->wsdl(storage_path('app/wsdl/partner.wsdl'))  // Path to your WSDL file
                ->trace(true);  // Enable tracing for debugging
        });
    }
}
